Dates {base} | R Documentation

## Date Class

### Description

Description of the class `"Date"` representing calendar dates.

### Usage

    ## S3 method for class 'Date'
    summary(object, digits = 12, ...)

### Arguments

`object` | An object summarized.
`digits` | Number of significant digits for the computations.
`...` | Further arguments to be passed from or to other methods.

### Details

Dates are represented as the number of days since 1970-01-01, with negative values for earlier dates. They are always printed following the rules of the current Gregorian calendar, even though that calendar was not in use long ago (it was adopted in 1752 in Great Britain and its colonies).

It is intended that the date should be an integer, but this is not enforced in the internal representation. Fractional days will be ignored when printing. It is possible to produce fractional days via the `mean` method or by adding or subtracting (see `Ops.Date`).

The print methods respect `options("max.print")`.

### See Also

`Sys.Date` for the current date.

`Ops.Date` for operators on `"Date"` objects.

`format.Date` for conversion to and from character strings.

`axis.Date` and `hist.Date` for plotting.

`weekdays` for convenience extraction functions.

`seq.Date`, `cut.Date`, `round.Date` for utility operations.

`DateTimeClasses` for date-time classes.

### Examples

    ## Not run:
    (today <- Sys.Date())
    format(today, "%d %b %Y")  # with month as a word
    (tenweeks <- seq(today, length.out=10, by="1 week")) # next ten weeks
    weekdays(today)
    months(tenweeks)
    as.Date(.leap.seconds)

    ## End(Not run)

[Package base version 2.15.2 Index]